What version do you get with

javac -version

?
Andy


From: soumava@utexas.edu [soumava@utexas.edu] on behalf of Soumava Ghosh [soumava@cs.utexas.edu]
Sent: 22 July 2013 21:09
To: user@cassandra.apache.org
Subject: Re: Cassandra 2.0 : Ant build issue

I'm using 1.7.0_21 (not 25 though)..

soumava$ java -version
java version "1.7.0_21"
Java(TM) SE Runtime Environment (build 1.7.0_21-b12)
Java HotSpot(TM) 64-Bit Server VM (build 23.21-b01, mixed mode)

Thanks,
Soumava


On Mon, Jul 22, 2013 at 1:06 PM, Andrew Cobley <a.e.cobley@dundee.ac.uk> wrote:
Are you using JDK 1.6.  If so you'll need to get the 1.7 jdk (Java SE 7u25) from oracle to do the compile.  See my message thread earlier today subject "Cassandra 2 vs Java 1.6 for a few more details.

Andy


On 22 Jul 2013, at 20:16, Soumava Ghosh <soumava@cs.utexas.edu> wrote:

Hi,

I'm working on a Mac OS 10.8 and trying to build the cassandra trunk using ant. I am getting the error as below. I can see a related bug that fixed a similar issue for debian (https://issues.apache.org/jira/browse/CASSANDRA-5688), but I can still repro this on Mac.

Thanks,
Soumava

soumava$ git describe
cassandra-2.0.0-beta1-100-ge0eacd2
...
soumava$ ant
...
gen-cql3-grammar:
     [echo] Building Grammar /Users/soumava/Documents/src/git-cassandra/src/java/org/apache/cassandra/cql3/Cql.g  ...

build-project:
     [echo] apache-cassandra: /Users/soumava/Documents/src/git-cassandra/build.xml
    [javac] Compiling 17 source files to /Users/soumava/Documents/src/git-cassandra/build/classes/thrift
    [javac] javac: invalid target release: 1.7
    [javac] Usage: javac <options> <source files>
    [javac] use -help for a list of possible options

BUILD FAILED
/Users/soumava/Documents/src/git-cassandra/build.xml:636: Compile failed; see the compiler error output for details.

Total time: 7 seconds



The University of Dundee is a registered Scottish Charity, No: SC015096


The University of Dundee is a registered Scottish Charity, No: SC015096